Developers
API ReferenceTicket Type

Retrieves the collection of TicketType resources

GET
/ticket/ticket-types

Retrieves the collection of TicketType resources

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Query Parameters

page?integer

The collection page number

Default1
itemsPerPage?integer

The number of items per page

Range0 <= value <= 100
Default30
pagination?boolean

Enable or disable pagination

name?string
order[name]?string
Default"asc"
Value in"asc""desc"

Response Body

TicketType collection

  1. response
[index: integer]?
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/ticket/ticket-types'
Example Response
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "decorator": "#78909c"  }]